summaryrefslogtreecommitdiffstats
path: root/installer
diff options
context:
space:
mode:
authoradv <adv@uma.es>2011-03-08 08:59:45 +0000
committeradv <adv@uma.es>2011-03-08 08:59:45 +0000
commit9ef89207ae2380064ee9c3786b9a16855b5c089a (patch)
tree2b17c1e400864f8c6ae348ec254724f690194ea1 /installer
parentc1e00e4d9169a59f4d89f98c62993b8afa10ef8c (diff)
version1.0 opengnsysClientCopyFiles (). copy el directorio shared ticket:313
git-svn-id: https://opengnsys.es/svn/branches/version1.0@1530 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/opengnsys_installer.sh58
1 files changed, 50 insertions, 8 deletions
diff --git a/installer/opengnsys_installer.sh b/installer/opengnsys_installer.sh
index db2d319f..6f077109 100755
--- a/installer/opengnsys_installer.sh
+++ b/installer/opengnsys_installer.sh
@@ -979,23 +979,57 @@ function copyInterfaceAdm ()
### Funciones instalacion cliente opengnsys
####################################################################
-# Crear antiguo cliente initrd para OpenGnSys 0.10
-function openGnsysOldClientCreate()
+function openGnsysClientCopyFiles()
{
- local OSCODENAME
-
local hayErrores=0
echoAndLog "${FUNCNAME}(): Copying OpenGnSys Client files."
- cp -ar $WORKDIR/opengnsys/client/shared/* $INSTALL_TARGET/client
- find $INSTALL_TARGET/client -name .svn -type d -exec rm -fr {} \; 2>/dev/null
+ cp -ar $WORKDIR/opengnsys/client/shared/* $INSTALL_TARGET/client
+ if [ $? -ne 0 ]; then
+ errorAndLog "${FUNCNAME}(): error while copying client estructure"
+ hayErrores=1
+ fi
+ find $INSTALL_TARGET/client -name .svn -type d -exec rm -fr {} \; 2>/dev/null
+
echoAndLog "${FUNCNAME}(): Copying OpenGnSys Cloning Engine files."
- mkdir -p $INSTALL_TARGET/client/lib/engine/bin
- cp -ar $WORKDIR/opengnsys/client/engine/*.lib $INSTALL_TARGET/client/lib/engine/bin
+ mkdir -p $INSTALL_TARGET/client/lib/engine/bin
+ cp -ar $WORKDIR/opengnsys/client/engine/*.lib $INSTALL_TARGET/client/lib/engine/bin
if [ $? -ne 0 ]; then
errorAndLog "${FUNCNAME}(): error while copying engine files"
hayErrores=1
fi
+
+ if [ $hayErrores -eq 0 ]; then
+ echoAndLog "${FUNCNAME}(): client copy files success."
+ else
+ errorAndLog "${FUNCNAME}(): client copy files with errors"
+ fi
+
+ return $hayErrores
+}
+
+
+
+
+# Crear antiguo cliente initrd para OpenGnSys 0.10
+function openGnsysOldClientCreate()
+{
+ local OSCODENAME
+
+ local hayErrores=0
+
+#sustituido en la funcion openGnsysClientCopyFiles
+ #echoAndLog "${FUNCNAME}(): Copying OpenGnSys Client files."
+ # cp -ar $WORKDIR/opengnsys/client/shared/* $INSTALL_TARGET/client
+ # find $INSTALL_TARGET/client -name .svn -type d -exec rm -fr {} \; 2>/dev/null
+ #echoAndLog "${FUNCNAME}(): Copying OpenGnSys Cloning Engine files."
+ # mkdir -p $INSTALL_TARGET/client/lib/engine/bin
+ # cp -ar $WORKDIR/opengnsys/client/engine/*.lib $INSTALL_TARGET/client/lib/engine/bin
+ #if [ $? -ne 0 ]; then
+ # errorAndLog "${FUNCNAME}(): error while copying engine files"
+ # hayErrores=1
+ #fi
+# #sustituido en la funcion openGnsysClientCopyFiles
# Cargar Kernel, Initrd y paquetes udeb para la distribuciĆ³n del servidor (o por defecto).
OSCODENAME=$(lsb_release -cs 2>/dev/null)
@@ -1291,11 +1325,19 @@ fi
popd
+
+# Crear la estructura de los accesos al servidor desde el cliente (shared)
+openGnsysClientCopyFiles
+if [ $? -ne 0 ]; then
+ errorAndLog "Error creating client structure"
+fi
+
# Crear la estructura del antiguo cliente initrd de OpenGnSys 0.10
#openGnsysOldClientCreate
#if [ $? -ne 0 ]; then
# errorAndLog "Warning: cannot create old initrd client"
#fi
+
# Crear la estructura del cliente de OpenGnSys 1.0
openGnsysClientCreate
if [ $? -ne 0 ]; then